package jumbo.xml;

import java.awt.Font;

/** a set of option to control display of an XTree. the components
are public (so can be reset). The XTree clones the values, so no need
to worry about changing referred objects
@author P.Murray-Rust, 1998
*/
public class XTreeOptions {
	public static final int SINGLEPANE = 0; 
	public static final int SPLITPANE  = 1;

/** the display type (SINGLEPANE, etc) */
	public int displayType = SINGLEPANE;
/** whether to render the TreeCells (buggy at present(*/
	public boolean renderCell = false;
/** Font for the tree (not yet sure where to set this */
	public Font font = new Font("SansSerif", Font.PLAIN, 12);
/** Create tree without any whitespace nodes (not fully tested)*/
	public boolean omitWhitespace = false;

/** default constructor. Normally values will be poked in later
*/
	public XTreeOptions() {
		displayType = SINGLEPANE;
		renderCell = false;
		font = new Font("SansSerif", Font.PLAIN, 12);
	}

/** copy constructor (i.e. clones options)
@param XTreeOptions existing options copied to new XTreeOptions
*/
	public XTreeOptions(XTreeOptions options) {
		displayType = options.displayType;
		renderCell = options.renderCell;
		font = options.font;
		omitWhitespace = options.omitWhitespace;
	}

/** mainly for debug
@return String the current options
*/
	public String toString() {
		String s = "Options: ";
		s += "displayType: "+displayType+"\n";
		s += "renderCell: "+renderCell+"\n";
		s += "font: "+font+"\n";
		s += "omitWhitespace: "+omitWhitespace+"\n";
		return s;
	}
}